light-mode-image
Learn
API ReferenceIssuer metadata

Retrieve authorization server metadata

GET/.well-known/oauth-authorization-server

Returns the OAuth 2.0 Authorization Server Metadata for your tenant.

This is the standard OAuth 2.0 Well-Known endpoint, providing public metadata that describes the tenant’s OAuth 2.0 configuration and capabilities. https://www.rfc-editor.org/rfc/rfc8414.html

This endpoint is intended for public consumption, and as such does not require authentication.

Response Body

application/json

curl -X GET "https://example.com/.well-known/oauth-authorization-server"
{  "issuer": "http://example.com",  "authorization_endpoint": "http://example.com",  "token_endpoint": "http://example.com",  "jwks_uri": "http://example.com",  "scopes_supported": [    "string"  ],  "response_types_supported": [    "string"  ],  "response_modes_supported": [    "string"  ],  "grant_types_supported": [    "string"  ],  "token_endpoint_auth_methods_supported": [    "string"  ],  "code_challenge_methods_supported": [    "string"  ],  "dpop_signing_alg_values_supported": [    "string"  ],  "pre-authorized_grant_anonymous_access_supported": true,  "status_list_aggregation_endpoint": "http://example.com"}

How would you rate this page?